gtkmm: Gdk::DragSurfaceSize Class Reference

gtkmm 4.16.0

Public Member Functions | Protected Attributes | List of all members
Gdk::DragSurfaceSize Class Reference

Information for computing drag surface size. More...

`#include <gdkmm/dragsurfacesize.h>`

## Public Member Functions
| DragSurfaceSize (GdkDragSurfaceSize * gobject)
| DragSurfaceSize (const DragSurfaceSize & other)=delete
DragSurfaceSize & | operator= (const DragSurfaceSize & other)=delete
| DragSurfaceSize (DragSurfaceSize && other) noexcept
DragSurfaceSize & | operator= (DragSurfaceSize && other) noexcept
| ~DragSurfaceSize () noexcept
| operator bool () const
| Checks if this instance is valid.
GdkDragSurfaceSize * | gobj ()
| Provides access to the underlying C object.
const GdkDragSurfaceSize * | gobj () const
| Provides access to the underlying C object.
void | set_size (int width, int height)
| Sets the size the drag surface prefers to be resized to.

## Protected Attributes
GdkDragSurfaceSize * | gobject_

## Detailed Description

Information for computing drag surface size.

Gdk::DragSurfaceSize contains information that is useful to compute the size of a drag surface.

Since gtkmm 4.12

## Constructor & Destructor Documentation

## ◆ DragSurfaceSize() [1/3]

Gdk::DragSurfaceSize::DragSurfaceSize | ( | GdkDragSurfaceSize * | gobject | ) |
| explicit

## ◆ DragSurfaceSize() [2/3]

Gdk::DragSurfaceSize::DragSurfaceSize | ( | const DragSurfaceSize & | other | ) |
| delete

## ◆ DragSurfaceSize() [3/3]

Gdk::DragSurfaceSize::DragSurfaceSize | ( | DragSurfaceSize && | other | ) |
| noexcept

## ◆ ~DragSurfaceSize()

Gdk::DragSurfaceSize::~DragSurfaceSize | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ gobj() [1/2]

GdkDragSurfaceSize * Gdk::DragSurfaceSize::gobj | ( |  | ) |
| inline

Provides access to the underlying C object.

## ◆ gobj() [2/2]

const GdkDragSurfaceSize * Gdk::DragSurfaceSize::gobj | ( |  | ) | const
| inline

Provides access to the underlying C object.

## ◆ operator bool()

Gdk::DragSurfaceSize::operator bool | ( |  | ) | const
| explicit

Checks if this instance is valid.

It is valid if and only if it contains a pointer to a GdkDragSurfaceSize. For instance,

if (size)
do_something()
size
valarray< size_t > size() const

## ◆ operator=() [1/2]

DragSurfaceSize & Gdk::DragSurfaceSize::operator= | ( | const DragSurfaceSize & | other | ) |
| delete

## ◆ operator=() [2/2]

DragSurfaceSize & Gdk::DragSurfaceSize::operator= | ( | DragSurfaceSize && | other | ) |
| noexcept

## ◆ set_size()

void Gdk::DragSurfaceSize::set_size | ( | int | width,
|  | int | height )

Sets the size the drag surface prefers to be resized to.

Since gtkmm 4.12

Parameters

  width | The width.
  height | The height.

## Member Data Documentation

## ◆ gobject_

GdkDragSurfaceSize* Gdk::DragSurfaceSize::gobject_
| protected